# convert ActiveState Perl HTML table of contents to a collapsing menu format
# easiest to unzip to /perl/html
#	assumes /perl/html/images 
#   gives you index2.html and gentoc.pl
#	run gentoc.pl > perltoc2.html
# point browser at index2.html
# 
# Robert White <yzorderex@yahoo.com>
use strict;
use HTML::TokeParser;
my ($token, $t, $url, );
my $toc='/perl/html/perltoc.html';  #change if perl installed in /local/user 
my $p = HTML::TokeParser->new($toc);
print '
<HTML>
<HEAD>
<TITLE>Active Perl Help</TITLE>
<LINK REL="STYLESHEET" HREF="win32prk.css" TYPE="text/css">
<STYLE>
	BODY {font-size : 8.5pt;}
	P {font-size : 8.5pt;}
</STYLE>
<script LANGUAGE="JavaScript">
<!--
var total=1;
var db = new Array();
';

#parse the ActiveState toc
#this misses the CorePerlDocs entry for some reason
# I put it in by hand (lazy)

  while ($token = $p->get_tag("img")) {
			if ($token->[3]=~ /folder/)  {		# two kinds of folders to do
				$t=$p->get_trimmed_text();
				$t=~ s/[\W]*(.+)/$1/;			#junk and whitespace problems with the parser
				if ($t=~/\W+/)  {
					$token = $p->get_token();
					if ($token->[1] eq 'a')  {
						$t=$token->[4];
						$t=~ s/<a name=\"(.+)\">/$1/;
					}
				}
				print qq|dbAdd( true , "$t" , "" , 0 , "" , 0)\n|;	#top level
				next;
			}
			if ($token->[3]=~ /page/)  {				# the files
				$token = $p->get_tag("a");
				$url = $token->[1]{href} || "-";
				$t = $p->get_trimmed_text("/a");
				print qq|dbAdd( false , "$t" , "$url" , 1 , "" , 0)\n|;	#second level
			}
	}

# the javascript and <BODY> is in a separate file
# because I ran into quoting issues
# even with various combinations of heredoc and qq
{
	local $/;
	open IN,"javscript.txt" or die "not found";
	$t=<IN>;
	close IN;
}
print $t;
